summaryrefslogtreecommitdiff
path: root/run-tests.sh
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2012-07-17 17:25:18 +0100
committerCarl Hetherington <cth@carlh.net>2012-07-17 17:25:18 +0100
commit1c22ef308a1d62b4c6935ede8233b1fea082b0ca (patch)
treec3d8e8321e4b1aa09cce056d5a35da908a0ae3d9 /run-tests.sh
parent0e7591e3bf95d4abe08d854850b6fc4e411586b0 (diff)
Various test hackery.
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/run-tests.sh b/run-tests.sh
index a837a287..a16806f7 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -3,4 +3,8 @@
LD_LIBRARY_PATH=build/src:build/asdcplib/src
build/test/tests
diff -ur build/test/foo test/ref/DCP
- \ No newline at end of file
+if [ "$?" != "0" ]; then
+ echo "FAIL: files differ"
+ exit 1
+fi
+echo "PASS" \ No newline at end of file